Bug 293012 - reports always unseekable when using StreamReader (imem)
Summary: reports always unseekable when using StreamReader (imem)
Status: RESOLVED FIXED
Alias: None
Product: phonon-backend-vlc
Classification: Unclassified
Component: general (show other bugs)
Version: 0.4.1
Platform: Unlisted Binaries Linux
: NOR minor (vote)
Target Milestone: 0.4.2
Assignee: Harald Sitter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-01 01:46 UTC by Harald Sitter
Modified: 2012-07-30 17:47 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.6


Attachments
log from an app exhibiting the issue (74.61 KB, application/octet-stream)
2012-02-01 01:48 UTC, Harald Sitter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Sitter 2012-02-01 01:46:09 UTC
Version:           0.4.1
OS:                Linux

When using the VLC backend for Phonon, MediaObject's will report sometimes themselves as unseekable (isSeekable returns false) despite later calls to seek() being successful. This behavior is exhibited when a QIODevice is used as the MediaSource, but does NOT occur when a filename is used as the mediasource.

Reproducible: Didn't try



Expected Results:  
 

This actually appears to be a defect in vlc as it also reports unseekable whenever imem is used it seems.
Comment 1 Harald Sitter 2012-02-01 01:46:57 UTC
https://trac.videolan.org/vlc/ticket/5968
Comment 2 Harald Sitter 2012-02-01 01:48:48 UTC
Created attachment 68387 [details]
log from an app exhibiting the issue

add a log... not that it says a whole lot...
Comment 3 Harald Sitter 2012-06-18 03:25:42 UTC
Git commit dff522f329663a2eb1c156a44b1f647061c50c42 by Harald Sitter.
Committed on 18/06/2012 at 05:25.
Pushed by sitter into branch 'master'.

work around vlc bug and provide seekability of streamreader directly

libvlc always reports seekability false when using imem, so we simply
switch the player's seekability interfaces with the readers

also for future reference: this can be tested by using simpleplayer
with a QFile as mediasource

M  +15   -1    src/mediaobject.cpp
M  +6    -5    src/streamreader.cpp
M  +7    -3    src/streamreader.h

http://commits.kde.org/phonon-vlc/dff522f329663a2eb1c156a44b1f647061c50c42
Comment 4 Harald Sitter 2012-06-18 03:26:32 UTC
Git commit e641bfccd7e81bd1b6e5522511f04d5baf78526c by Harald Sitter.
Committed on 18/06/2012 at 05:25.
Pushed by sitter into branch '0.5'.

work around vlc bug and provide seekability of streamreader directly

libvlc always reports seekability false when using imem, so we simply
switch the player's seekability interfaces with the readers

also for future reference: this can be tested by using simpleplayer
with a QFile as mediasource

M  +15   -1    src/mediaobject.cpp
M  +6    -5    src/streamreader.cpp
M  +7    -3    src/streamreader.h

http://commits.kde.org/phonon-vlc/e641bfccd7e81bd1b6e5522511f04d5baf78526c